<footer class="footer">
  <div class="footer__inner">
    <div class="footer-column">
      <a
        [routerLink]="HOME_PATH"
        routerLinkActive="active"
        aria-label="home page"
        (mousemove)="toggleHoveredStatus(true)"
        (mouseleave)="toggleHoveredStatus(false)"
      >
        <svg-brand [isHovered]="isHoveredLogo"></svg-brand>
      </a>
      <app-footer-social-group></app-footer-social-group>
    </div>
    <div class="footer-column">
      <app-footer-contact-us></app-footer-contact-us>
    </div>
    <app-nav modification="horizontal">
      <app-nav-link
        *ngIf="isAuthenticated"
        name="Admin"
        [path]="ADMIN_PATH"
      ></app-nav-link>
      <app-nav-link name="Quizzes" [path]="QUIZZES_PATH"></app-nav-link>
      <app-nav-link name="About Us" [path]="ABOUT_US_PATH"></app-nav-link>
      <app-nav-link
        *ngIf="!isAuthenticated"
        name="Sign up"
        [path]="REGISTRATION_PATH"
      ></app-nav-link>
      <app-nav-link
        *ngIf="!isAuthenticated"
        name="Sign in"
        [path]="LOGIN_PATH"
      ></app-nav-link>
      <button
        class="btn_logout"
        *ngIf="isAuthenticated"
        (click)="auth.logout()"
      >
        Logout
      </button>
    </app-nav>
  </div>
</footer>
